
ARG BASEIMAGE_NAME=registry.gitlab.com/autonomous-systems-lab/libraries/docker-robotic/ros-desktop
ARG BASEIMAGE_TAG=melodic-18.08

FROM ${BASEIMAGE_NAME}:${BASEIMAGE_TAG}

ARG BASEIMAGE_ROS_DISTRO=noetic

RUN apt-get update

# Install realsense SDK
RUN apt-key adv --keyserver keys.gnupg.net --recv-key F6E65AC044F831AC80A06380C8B3A55A6F3EFCDE || sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-key F6E65AC044F831AC80A06380C8B3A55A6F3EFCDE
RUN add-apt-repository "deb https://librealsense.intel.com/Debian/apt-repo $(lsb_release -cs) main" -u
RUN apt update && apt-get install -y \
        librealsense2-dkms \
        librealsense2-utils \
        librealsense2-dev \
        librealsense2-dbg

# Install realsense ROS
RUN apt-get update && apt-get install -y \
        ros-${BASEIMAGE_ROS_DISTRO}-realsense2-camera \
        ros-${BASEIMAGE_ROS_DISTRO}-realsense2-description

CMD ["tail", "-f", "/dev/null"]
